Subject: bug#32850: 27.0.50; window-swap-states doesn't swap window prev/next-buffers

From: Eli Zaretskii <[email-masked]>
Date: Fri, 26 Oct 2018 10:59:55 +0300

> Date: Fri, 26 Oct 2018 09:39:25 +0200
> From: martin rudalics <[email-masked]>
> Cc: [email-masked]
> 
>  >> Which problems do you see in practice?  I have no idea about the
>  >> internals of desktop.  If you mean that the windows' states have to be
>  >> saved too often -
>  >
>  > Yes, too often - according to desktop-auto-save-timeout, it should do
>  > this juggling with window configurations and states every 30 seconds.
> 
> That's not reasonable.

I agree.  Which is why I have desktop-auto-save-timeout customized to
nil on my main machine, and to very large values on others.  When this
feature first came out, I found that it frequently causes delays in
Emacs responses, and I don't see any reason to have the desktop saved
every 30 sec.